Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.bpm
Class PageflowParser

    java.lang.Object
      org.jbpm.jpdl.xml.JpdlXmlReader
          org.jboss.seam.bpm.PageflowParser

All Implemented Interfaces:
  org.jbpm.jpdl.xml.ProblemListener

    public class PageflowParser

extends org.jbpm.jpdl.xml.JpdlXmlReader

A jPDL parser for Seam pageflow definitions

Author:
  Tom Baeyens

Field Summary

Fields inherited from class org.jbpm.jpdl.xml.JpdlXmlReader
`document, initialNodeName, inputSource, problemListener, problems, processDefinition, unresolvedActionReferences, unresolvedTransitionDestinations`

Constructor Summary
`PageflowParser(InputSource inputSource)`
`PageflowParser(InputSource inputSource, org.jbpm.jpdl.xml.ProblemListener problemListener)`
`PageflowParser(Reader reader)`

Method Summary
`void` | `readNodes(org.dom4j.Element nodeCollectionElement, org.jbpm.graph.def.NodeCollection nodeCollection)`

Methods inherited from class org.jbpm.jpdl.xml.JpdlXmlReader
`addAction, addError, addError, addProblem, addUnresolvedActionReference, addUnresolvedTransitionDestination, addWarning, close, createAction, createMailDelegation, getProcessDefinition, getProperty, parseProcessDefinitionAttributes, readAction, readActions, readAssignmentDelegation, readBoolean, readEvents, readExceptionHandler, readExceptionHandlers, readMailDelegation, readNode, readNodeTimer, readNodeTimers, readProcessDefinition, readSingleAction, readStartStateTask, readSwimlanes, readTask, readTaskController, readTasks, readTaskTimer, readTaskTimers, readVariableAccesses, resolveActionReferences, resolveTransitionDestination, resolveTransitionDestinations, resolveTransitionDestinations, verifySwimlaneAssignments, writeElementContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageflowParser

    public PageflowParser(InputSource inputSource,
                          org.jbpm.jpdl.xml.ProblemListener problemListener)

### PageflowParser

    public PageflowParser(InputSource inputSource)

### PageflowParser

    public PageflowParser(Reader reader)

Method Detail

### readNodes

    public void readNodes(org.dom4j.Element nodeCollectionElement,
                          org.jbpm.graph.def.NodeCollection nodeCollection)

  Overrides:
    `readNodes` in class `org.jbpm.jpdl.xml.JpdlXmlReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.